Package com.sun.jna.platform.win32

# Interface DdemlUtil.ConnectConfirmHandler

Enclosing class:
  DdemlUtil

public static interface DdemlUtil.ConnectConfirmHandler

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `onConnectConfirm(int transactionType, Ddeml.HCONV hconv, Ddeml.HSZ topic, Ddeml.HSZ service, boolean sameInstance)`
  A Dynamic Data Exchange (DDE) server callback function, DdeCallback, receives the XTYP_CONNECT_CONFIRM transaction to confirm that a conversation has been established with a client and to provide the server with the conversation handle.

- ## Method Details

  - ### onConnectConfirm

    void onConnectConfirm(int transactionType, Ddeml.HCONV hconv, Ddeml.HSZ topic, Ddeml.HSZ service, boolean sameInstance)
    A Dynamic Data Exchange (DDE) server callback function, DdeCallback, receives the XTYP_CONNECT_CONFIRM transaction to confirm that a conversation has been established with a client and to provide the server with the conversation handle. The system sends this transaction as a result of a previous XTYP_CONNECT or XTYP_WILDCONNECT transaction.
    Parameters:
      `transactionType` - uType - The transaction type.
      `hconv` - A handle to the new conversation.
      `topic` - hsz1 - A handle to the topic name.
      `service` - hsz2 - A handle to the service name on which the conversation has been established.
      `sameInstance` - dwData2 - Specifies whether the client is the same application instance as the server.